apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci4s-management-platform-deployment
  namespace: argo
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ci4s-management-platform
  template:
    metadata:
      labels:
        app: ci4s-management-platform
    spec:
      containers:
      - name: ci4s-management-platform
        image: 172.20.32.187/ci4s/ci4s-managent:202409201355
        env:
        - name: TZ
          value: Asia/Shanghai
        - name: JAVA_TOOL_OPTIONS
          value: "-Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=*:5005"
        ports:
        - containerPort: 9213
        volumeMounts:
        - name: resource-volume
          mountPath: /home/resource/
      volumes:
      - name: resource-volume
        persistentVolumeClaim:
          claimName: platform-data-pvc-nfs
---
apiVersion: v1
kind: Service
metadata:
  name: ci4s-management-platform-service
  namespace: argo
spec:
  type: NodePort
  ports:
    - name: http
      port: 9213
      nodePort: 31208
      protocol: TCP
    - name: debug
      nodePort: 34567
      port: 5005
      protocol: TCP
      targetPort: 5005
  selector:
    app: ci4s-management-platform

